<?php

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

class EventbookingViewOverrideRegisterHtml extends EventbookingViewRegisterHtml
{
	/**
	 * Set common data for registration form
	 *
	 * @param   RADConfig  $config
	 * @param   array      $data
	 */
	protected function setCommonViewData($config, &$data, $paymentTypeChange = "showDepositAmount(this);")
	{
		parent::setCommonViewData($config, $data, $paymentTypeChange);

		$paymentType = $this->input->post->getInt('payment_type', 1);

		$options                     = [];
		$options[]                   = HTMLHelper::_('select.option', 1, Text::_('EB_DEPOSIT_PAYMENT'));
		$this->lists['payment_type'] = HTMLHelper::_(
			'select.genericlist',
			$options,
			'payment_type',
			' class="input-large form-select" onchange="' . $paymentTypeChange . '" ',
			'value',
			'text',
			$paymentType
		);
	}
}